using Managing.Domain.Backtests;
using Managing.Domain.Users;

namespace Managing.Application.Abstractions.Repositories;

public interface IBacktestRepository
{
    void InsertBacktestForUser(User user, Backtest result);
    IEnumerable<Backtest> GetBacktestsByUser(User user);
    Backtest GetBacktestByIdForUser(User user, string id);
    void DeleteBacktestByIdForUser(User user, string id);
    void DeleteAllBacktestsForUser(User user);
}